<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="cm" uri="/commons-tags" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>社保基数调整</title>
<link href="../resources/style/base.css" rel="stylesheet" type="text/css"/>
<s:include value="../common/head.jsp" />
<script language="javascript" src="../code/vm/ExtCodeJs.htm"></script>
<script language="javascript" src="../resources/js/calendar/calendar.js"></script>
<script type="text/javascript">

function typeHistory(){
	if(getCheckedCount("sid")!=1){
		msgAlert("请选择一条您要查看薪资历史的员工记录。");
		return;
	}
	var confId=getConfId();
	if(confId==""){
		msgAlert("您选择的员工目前还没有薪资配置记录。");
		return;
	}
	iframeWindow("<s:url action='salaryConfHistory'/>?salaryConf.emplInfo.id="+getCheckedValue("sid"),
		650,500,gi("name_"+getCheckedValue("sid")).innerHTML+" 薪资历史");
}

function typeAdd(){
	if(getCheckedCount("sid")!=1){
		msgAlert("请选择一条您要添加工资配置的员工记录。");
		return;
	}
	var confId=getConfId();
	if(confId!=""){
		msgAlert("您选择的员工已存在工资配置信息，不能进行添加操作。");
		return;
	}
	iframeWindow("<s:url action='salaryConfOperate'/>?oper=add&salaryConf.emplInfo.id="+getCheckedValue("sid"),
		550,500,"添加工资配置信息",refreshWindow);
}

function typeEdit(){
	if(getCheckedCount("sid")!=1){
		msgAlert("请选择一条您要修改的记录。");
		return;
	}
	var confId=getConfId();
	if(confId==""){
		msgAlert("您选择的员工不存在工资配置信息，请点击“添加”按钮配置员工的工资信息。");
		return;
	}	
	iframeWindow("<s:url action='salaryConfOperate'/>?oper=edit&salaryConf.id="+confId,550,500,"修改工资配置信息",refreshWindow);
}

function getConfId(){
	return 	gi("conf_id_"+getCheckedValue("sid")).value;
}

</script>
</head>

<body>
<div class="body_list">
  <s:include value="../common/body.jsp" />
  <s:form action="salaryConfInsurBaseAdjust" id="queryForm" onsubmit="return checkForm(this)">
    <table width="800" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr class="form_tr">
        <td colspan="3" align="left"><span class="item"><strong>数据过滤条件</strong></span></td>
      </tr>
      <tr class="form_tr">
        <td width="35%" align="left">部门：
        <s:textfield name="salaryConf.emplInfo.emplOrg.name" readonly="true" onClick="codeTree('emplOrgTree',gi('eimpOrgId'),this)" cssStyle="width:100px;" cssClass="find_input"/>
          <s:hidden name="salaryConf.emplInfo.emplOrg.id" id="eimpOrgId"/>		</td>
        <td width="33%" align="left">工号：
        <s:textfield name="salaryConf.emplInfo.emplNo" title="工号必须为数字。"  cssStyle="width:100px;"/>		</td>
        <td width="32%">姓名：
        <s:textfield name="salaryConf.emplInfo.name" cssStyle="width:100px;"/>        </td>
      </tr>
	  <tr>
        <td colspan="3" align="left" style="border-bottom:#CCCCCC dashed 1px;">		</td>
      </tr>
	  <tr>
        <td colspan="3" align="left">		</td>
      </tr>	  
      <tr class="form_tr">
        <td colspan="3" align="left"><span class="item"><strong>平均月薪计算</strong></span></td>
      </tr>
      <tr class="form_tr">
        <td colspan="3" align="left"><span class="required">•</span>统计月份：
          <s:textfield name="beginMonth" readonly="true" title="平均薪资统计月份为必填项" onClick="showCalendar('yyyyMM',this,false)" cssClass="date_input" cssStyle="width:65px;"/>
          至
        <s:textfield name="endMonth" readonly="true" title="平均薪资统计月份为必填项" onClick="showCalendar('yyyyMM',this,false)" cssClass="date_input" cssStyle="width:65px;"/>
		<div class="info" style="margin:10px 0;">
			平均月薪是计算员工在统计月份内的<strong>工资总额</strong>项的平均值。		</div>
		<div class="info" style="margin:5px 0;">
			平均月薪的公式变量：<span class="code_box"><s:property value="salaryAvgVar"/></span>		</div>		</td>
      </tr>
	  <tr>
        <td colspan="3" align="left" style="border-bottom:#CCCCCC dashed 1px;">		</td>
      </tr>
	  	  <tr>
        <td colspan="3" align="left">		</td>
      </tr>
      <tr class="form_tr">
        <td colspan="3" align="left"><span class="item"><strong>基数计算公式</strong></span></td>
      </tr>
	  
	   
	  <tr class="form_tr">
        <td colspan="3" align="left">
		<s:iterator value="insurBaseItemList" status="st">
		<div style="float:left; width:330px;" class="nowrap">
		<span class="required">•</span>【<s:property value="name"/>】计算公式：<br />
		<s:textarea name="insurBaseItemList[%{#st.index}].descr" title="【%{name}】计算公式为必填项" cssStyle="width:300px;height:50px;"/>
		  	<s:hidden name="insurBaseItemList[%{#st.index}].id" value="%{id}"/>
		</div>
		</s:iterator>		</td>
        </tr>
	  <tr>
	  	<td colspan="3">
			<span class="info">提示：如果社保基数取值为上一年度的平均月薪并且下限为2000、上限为10000，则可在计算公式框中填入<span class="code_box">mid(<s:property value="salaryAvgVar"/>,2000,10000)</span>；如果社保基数取值为上一年度的平均月薪的80%，则可在计算公式框中填入<span class="code_box"><s:property value="salaryAvgVar"/>*0.8</span></span>		</td>
	  </tr>
	  <tr class="form_tr">
        <td height="40" colspan="3" align="center">
		
		 <input type="submit" name="button" id="button" value="计 算" />  
        <!-- back begin -->
        <input name="winID" type="hidden" value="${param.winID}" />
        <input type="button" onclick="iframeWindowClose('${param.winID}')" name="button" id="button" value="取 消" />  
        <!-- back end -->
        <s:hidden name="oper" value="confirm" />		</td>
      </tr>

    </table>

  </s:form>
</div>
</body>
</html>